Subject: Re: [bug#29784] [PATCH 2/2] gnu: Add python-activepapers

From: [email-masked] (Ludovic Courtès)
Date: Thu, 21 Dec 2017 16:47:05 +0100

Konrad Hinsen <[email-masked]> skribis:

> Konrad Hinsen <[email-masked]> writes:
>
>> This looks like Guix still uses the tarball in the store, in spite of
>> the fact that I updated the URI in the package definition. In fact,
>
> One more test: I did a "guix gc" to clean up the store and re-launched
> the build. Now I get the hash mismatch that you reported as well.

Yes.  Before running the GC, you still had the store item with the given
hash in your store, the guix-daemon didn’t attempt to fetch it.

To avoid this, you can always run:

  guix build -S the-package --check

before submitting, to force a re-fetch.

Can you resend the patch with the known-good hash?  (Or just the hash if
you prefer.)

Ludo’.